Bug 233416 - No /dev/dvb with latest kernel 2.6.20-1.2925.fc6
No /dev/dvb with latest kernel 2.6.20-1.2925.fc6
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
: 233883 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-22 06:44 EDT by Martin West
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.6.20-1.2944.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-16 19:23:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin West 2007-03-22 06:44:03 EDT
Description of problem:

log extract from  2.6.20-1.2925.fc6  kernel boot ...

Mar 22 08:51:02 thecla kernel: saa7130[0]: registered device video1 [v4l2]
Mar 22 08:51:02 thecla kernel: saa7130[0]: registered device vbi0
Mar 22 08:51:02 thecla kernel: saa7130[0]: registered device radio0
Mar 22 08:51:02 thecla kernel: CORE cx88[0]: subsystem: 0070:9002, board:
Hauppauge Nova-T DVB-T [card=18,autodetected]
Mar 22 08:51:02 thecla kernel: TV tuner 4 at 0x1fe, Radio tuner -1 at 0x1fe
Mar 22 08:51:02 thecla kernel: cx2388x v4l2 driver version 0.0.6 loaded
Mar 22 08:51:02 thecla kernel: tveeprom 2-0050: Hauppauge model 90002, rev C176,
serial# 188041
Mar 22 08:51:02 thecla kernel: tveeprom 2-0050: MAC address is 00-0D-FE-02-DE-89
Mar 22 08:51:02 thecla kernel: tveeprom 2-0050: tuner model is Thompson DTT7592
(idx 76, type 4)
Mar 22 08:51:02 thecla kernel: tveeprom 2-0050: TV standards ATSC/DVB Digital
(eeprom 0x80)
Mar 22 08:51:02 thecla kernel: tveeprom 2-0050: audio processor is None (idx 0)
Mar 22 08:51:02 thecla kernel: tveeprom 2-0050: decoder processor is CX882 (idx 25)
Mar 22 08:51:02 thecla kernel: tveeprom 2-0050: has no radio, has IR receiver,
has no IR transmitter
Mar 22 08:51:02 thecla kernel: cx88[0]: hauppauge eeprom: model=90002
Mar 22 08:51:02 thecla kernel: input: cx88 IR (Hauppauge Nova-T DVB-T as
/class/input/input4
Mar 22 08:51:02 thecla kernel: cx88[0]/2: cx2388x 8802 Driver Manager
Mar 22 08:51:02 thecla kernel: ACPI: PCI Interrupt 0000:00:09.2[A] -> GSI 17
(level, low) -> IRQ 21
Mar 22 08:51:02 thecla kernel: cx88[0]/2: found at 0000:00:09.2, rev: 5, irq:
21, latency: 32, mmio: 0xdd000000
Mar 22 08:51:02 thecla kernel: ACPI: PCI Interrupt 0000:00:09.0[A] -> GSI 17
(level, low) -> IRQ 21
Mar 22 08:51:02 thecla kernel: cx88[0]/0: found at 0000:00:09.0, rev: 5, irq:
21, latency: 32, mmio: 0xdc000000
Mar 22 08:51:02 thecla kernel: cx88[0]/0: registered device video2 [v4l2]
Mar 22 08:51:02 thecla kernel: cx88[0]/0: registered device vbi1
Mar 22 08:51:02 thecla kernel: usbcore: registered new interface driver
snd-usb-audio
Mar 22 08:51:02 thecla kernel: sis900.c: v1.08.10 Apr. 2 2006

from 2.6.19-1.2911.6.4.fc6

Mar 22 09:14:40 thecla kernel: cx2388x v4l2 driver version 0.0.6 loaded
Mar 22 09:14:40 thecla kernel: ACPI: PCI Interrupt 0000:00:09.0[A] -> GSI 17
(level, low) -> IRQ 21
Mar 22 09:14:40 thecla kernel: CORE cx88[0]: subsystem: 0070:9002, board:
Hauppauge Nova-T DVB-T [card=18,autodetected]
Mar 22 09:14:40 thecla kernel: TV tuner 4 at 0x1fe, Radio tuner -1 at 0x1fe
Mar 22 09:14:40 thecla kernel: usbcore: registered new interface driver
snd-usb-audio
Mar 22 09:14:40 thecla kernel: cx2388x dvb driver version 0.0.6 loaded
Mar 22 09:14:40 thecla kernel: tveeprom 0-0050: Hauppauge model 90002, rev C176,
serial# 188041
Mar 22 09:14:40 thecla kernel: tveeprom 0-0050: MAC address is 00-0D-FE-02-DE-89
Mar 22 09:14:40 thecla kernel: tveeprom 0-0050: tuner model is Thompson DTT7592
(idx 76, type 4)
Mar 22 09:14:40 thecla kernel: tveeprom 0-0050: TV standards ATSC/DVB Digital
(eeprom 0x80)
Mar 22 09:14:40 thecla kernel: tveeprom 0-0050: audio processor is None (idx 0)
Mar 22 09:14:40 thecla kernel: tveeprom 0-0050: decoder processor is CX882 (idx 25)
Mar 22 09:14:40 thecla kernel: tveeprom 0-0050: has no radio, has IR remote
Mar 22 09:14:40 thecla kernel: cx88[0]: hauppauge eeprom: model=90002
Mar 22 09:14:40 thecla kernel: input: cx88 IR (Hauppauge Nova-T DVB-T as
/class/input/input2
Mar 22 09:14:40 thecla kernel: cx88[0]/0: found at 0000:00:09.0, rev: 5, irq:
21, latency: 32, mmio: 0xdc000000
Mar 22 09:14:40 thecla kernel: cx88[0]/0: registered device video1 [v4l2]
Mar 22 09:14:40 thecla kernel: cx88[0]/0: registered device vbi0
Mar 22 09:14:40 thecla kernel: ACPI: PCI Interrupt 0000:00:09.2[A] -> GSI 17
(level, low) -> IRQ 21
Mar 22 09:14:40 thecla kernel: cx88[0]/2: found at 0000:00:09.2, rev: 5, irq:
21, latency: 32, mmio: 0xdd000000
Mar 22 09:14:40 thecla kernel: cx88[0]/2: cx2388x based dvb card
Mar 22 09:14:40 thecla kernel: DVB: registering new adapter (cx88[0]).
Mar 22 09:14:40 thecla kernel: DVB: registering frontend 0 (Conexant CX22702
DVB-T)...
Mar 22 09:14:40 thecla kernel: gameport: NS558 PnP Gameport is
pnp00:0a/gameport0, io 0x200, speed 701kHz
Mar 22 09:14:40 thecla kernel: input: PC Speaker as /class/input/input3
Mar 22 09:14:40 thecla kernel: cx2388x blackbird driver version 0.0.6 loaded



How reproducible:

Boot the latest FC6 kernel with a Hauppauge model 90002 DVB-T card
  
Actual results:

/dev/dvb entries

Expected results:

no /dev/dvb entries


Additional info:
Comment 1 Christopher Brown 2007-03-22 10:19:05 EDT
I am also seeing this. This used to be an issue in older kernels that seems to
have arisen again. The blackbird driver takes control of the device before the
correct cx88-dvb driver does. In my case I have blacklisted the blackbird driver
and get the following:

log extract from  2.6.20-1.2925.fc6  kernel boot ...

Mar 21 19:42:05 localhost kernel: cx2388x v4l2 driver version 0.0.6 loaded
Mar 21 19:42:05 localhost kernel: ACPI: PCI Interrupt 0000:00:0a.0[A] -> GSI 16
(level, low) -> IRQ 19
Mar 21 19:42:05 localhost kernel: CORE cx88[0]: subsystem: 0070:9002, board:
Hauppauge Nova-T DVB-T [card=18,autodetected]
Mar 21 19:42:05 localhost kernel: TV tuner 4 at 0x1fe, Radio tuner -1 at 0x1fe
Mar 21 19:42:05 localhost kernel: cx2388x cx88-mpeg Driver Manager version 0.0.6
loaded
Mar 21 19:42:05 localhost kernel: tveeprom 1-0050: Hauppauge model 90002, rev
C176, serial# 248164
Mar 21 19:42:05 localhost kernel: tveeprom 1-0050: MAC address is 00-0D-FE-03-C9-64
Mar 21 19:42:05 localhost kernel: tveeprom 1-0050: tuner model is Thompson
DTT7592 (idx 76, type 4)
Mar 21 19:42:05 localhost kernel: tveeprom 1-0050: TV standards ATSC/DVB Digital
(eeprom 0x80)
Mar 21 19:42:05 localhost kernel: tveeprom 1-0050: audio processor is None (idx 0)
Mar 21 19:42:05 localhost kernel: tveeprom 1-0050: decoder processor is CX882
(idx 25)
Mar 21 19:42:05 localhost kernel: tveeprom 1-0050: has no radio, has IR
receiver, has no IR transmitter
Mar 21 19:42:05 localhost kernel: cx88[0]: hauppauge eeprom: model=90002
Mar 21 19:42:05 localhost kernel: input: cx88 IR (Hauppauge Nova-T DVB-T as
/class/input/input3
Mar 21 19:42:05 localhost kernel: cx88[0]/0: found at 0000:00:0a.0, rev: 5, irq:
19, latency: 32, mmio: 0xcb000000
Mar 21 19:42:05 localhost kernel: cx88[0]/0: registered device video0 [v4l2]
Mar 21 19:42:05 localhost kernel: cx88[0]/0: registered device vbi0
Mar 21 19:42:05 localhost kernel: ACPI: PCI Interrupt 0000:00:0d.0[A] -> GSI 16
(level, low) -> IRQ 19
Mar 21 19:42:05 localhost kernel: CORE cx88[1]: subsystem: 0070:9002, board:
Hauppauge Nova-T DVB-T [card=18,autodetected]
Mar 21 19:42:05 localhost kernel: TV tuner 4 at 0x1fe, Radio tuner -1 at 0x1fe
Mar 21 19:42:05 localhost kernel: tveeprom 2-0050: Hauppauge model 90002, rev
C176, serial# 250008
Mar 21 19:42:05 localhost kernel: tveeprom 2-0050: MAC address is 00-0D-FE-03-D0-98
Mar 21 19:42:05 localhost kernel: tveeprom 2-0050: tuner model is Thompson
DTT7592 (idx 76, type 4)
Mar 21 19:42:05 localhost kernel: tveeprom 2-0050: TV standards ATSC/DVB Digital
(eeprom 0x80)
Mar 21 19:42:05 localhost kernel: tveeprom 2-0050: audio processor is None (idx 0)
Mar 21 19:42:05 localhost kernel: tveeprom 2-0050: decoder processor is CX882
(idx 25)
Mar 21 19:42:05 localhost kernel: tveeprom 2-0050: has no radio, has IR
receiver, has no IR transmitter
Mar 21 19:42:05 localhost kernel: cx88[1]: hauppauge eeprom: model=90002
Mar 21 19:42:05 localhost kernel: input: cx88 IR (Hauppauge Nova-T DVB-T as
/class/input/input4
Mar 21 19:42:05 localhost kernel: cx88[1]/0: found at 0000:00:0d.0, rev: 5, irq:
19, latency: 32, mmio: 0xc8000000
Mar 21 19:42:05 localhost kernel: cx88[1]/0: registered device video1 [v4l2]
Mar 21 19:42:05 localhost kernel: cx88[1]/0: registered device vbi1
Mar 21 19:42:05 localhost kernel: cx88[0]/2: cx2388x 8802 Driver Manager
Mar 21 19:42:05 localhost kernel: ACPI: PCI Interrupt 0000:00:0a.2[A] -> GSI 16
(level, low) -> IRQ 19
Mar 21 19:42:05 localhost kernel: cx88[0]/2: found at 0000:00:0a.2, rev: 5, irq:
19, latency: 32, mmio: 0xca000000
Mar 21 19:42:05 localhost kernel: cx88[1]/2: cx2388x 8802 Driver Manager
Mar 21 19:42:05 localhost kernel: ACPI: PCI Interrupt 0000:00:0d.2[A] -> GSI 16
(level, low) -> IRQ 19
Mar 21 19:42:05 localhost kernel: cx88[1]/2: found at 0000:00:0d.2, rev: 5, irq:
19, latency: 32, mmio: 0xc7000000
Mar 21 19:42:05 localhost kernel: ACPI: PCI Interrupt 0000:00:13.0[A] -> GSI 18
(level, low) -> IRQ 18
Mar 21 19:42:05 localhost kernel: ACPI: PCI Interrupt 0000:00:11.5[C] -> GSI 22
(level, low) -> IRQ 20
Mar 21 19:42:05 localhost kernel: codec_read: codec 0 is not valid [0xfe0000]
Mar 21 19:42:05 localhost last message repeated 3 times
Mar 21 19:42:05 localhost kernel: PCI: Enabling device 0000:00:11.6 (0000 -> 0001)
Mar 21 19:42:05 localhost kernel: ACPI: PCI Interrupt 0000:00:11.6[C] -> GSI 22
(level, low) -> IRQ 20

Running modprobe cx88-dvb gives the following as expected:

Mar 21 20:12:45 localhost kernel: cx2388x dvb driver version 0.0.6 loaded
Mar 21 20:12:45 localhost kernel: cx8802_register_driver() ->registering driver
type=dvb access=shared
Mar 21 20:12:45 localhost kernel: CORE cx88[0]: subsystem: 0070:9002, board:
Hauppauge Nova-T DVB-T [card=18]
Mar 21 20:12:45 localhost kernel: cx88[0]/2: cx2388x based dvb card
Mar 21 20:12:45 localhost kernel: DVB: registering new adapter (cx88[0]).
Mar 21 20:12:45 localhost kernel: DVB: registering frontend 0 (Conexant CX22702
DVB-T)...
Mar 21 20:12:45 localhost kernel: CORE cx88[1]: subsystem: 0070:9002, board:
Hauppauge Nova-T DVB-T [card=18]
Mar 21 20:12:45 localhost kernel: cx88[1]/2: cx2388x based dvb card
Mar 21 20:12:45 localhost kernel: DVB: registering new adapter (cx88[1]).
Mar 21 20:12:45 localhost kernel: DVB: registering frontend 1 (Conexant CX22702
DVB-T)...

I have listed the driver under /etc/rc.modules in order to force it to load (not
sure if this is the correct method of doing this).

Previously with 2.6.19-1.2911.6.5.fc6

Mar 16 12:45:08 localhost kernel: cx2388x dvb driver version 0.0.6 loaded
Mar 16 12:45:08 localhost kernel: CORE cx88[0]: subsystem: 0070:9002, board:
Hauppauge Nova-T DVB-T [card=18,autodetected]
Mar 16 12:45:08 localhost kernel: TV tuner 4 at 0x1fe, Radio tuner -1 at 0x1fe
Mar 16 12:45:08 localhost kernel: tveeprom 0-0050: Hauppauge model 90002, rev
C176, serial# 248164
Mar 16 12:45:08 localhost kernel: tveeprom 0-0050: MAC address is 00-0D-FE-03-C9-64
Mar 16 12:45:08 localhost kernel: tveeprom 0-0050: tuner model is Thompson
DTT7592 (idx 76, type 4)
Mar 16 12:45:08 localhost kernel: tveeprom 0-0050: TV standards ATSC/DVB Digital
(eeprom 0x80)
Mar 16 12:45:08 localhost kernel: tveeprom 0-0050: audio processor is None (idx 0)
Mar 16 12:45:08 localhost kernel: tveeprom 0-0050: decoder processor is CX882
(idx 25)
Mar 16 12:45:08 localhost kernel: tveeprom 0-0050: has no radio, has IR remote
Mar 16 12:45:08 localhost kernel: cx88[0]: hauppauge eeprom: model=90002
Mar 16 12:45:08 localhost kernel: input: cx88 IR (Hauppauge Nova-T DVB-T as
/class/input/input2
Mar 16 12:45:08 localhost kernel: ACPI: PCI Interrupt 0000:00:0a.2[A] -> GSI 16
(level, low) -> IRQ 19
Mar 16 12:45:08 localhost kernel: cx88[0]/2: found at 0000:00:0a.2, rev: 5, irq:
19, latency: 32, mmio: 0xca000000
Mar 16 12:45:08 localhost kernel: cx88[0]/2: cx2388x based dvb card
Mar 16 12:45:08 localhost kernel: DVB: registering new adapter (cx88[0]).
Mar 16 12:45:08 localhost kernel: DVB: registering frontend 0 (Conexant CX22702
DVB-T)...
Mar 16 12:45:08 localhost kernel: CORE cx88[1]: subsystem: 0070:9002, board:
Hauppauge Nova-T DVB-T [card=18,autodetected]
Mar 16 12:45:08 localhost kernel: TV tuner 4 at 0x1fe, Radio tuner -1 at 0x1fe
Mar 16 12:45:08 localhost kernel: tveeprom 1-0050: Hauppauge model 90002, rev
C176, serial# 250008
Mar 16 12:45:08 localhost kernel: tveeprom 1-0050: MAC address is 00-0D-FE-03-D0-98
Mar 16 12:45:08 localhost kernel: tveeprom 1-0050: tuner model is Thompson
DTT7592 (idx 76, type 4)
Mar 16 12:45:08 localhost kernel: tveeprom 1-0050: TV standards ATSC/DVB Digital
(eeprom 0x80)
Mar 16 12:45:08 localhost kernel: tveeprom 1-0050: audio processor is None (idx 0)
Mar 16 12:45:08 localhost kernel: tveeprom 1-0050: decoder processor is CX882
(idx 25)
Mar 16 12:45:08 localhost kernel: tveeprom 1-0050: has no radio, has IR remote
Mar 16 12:45:08 localhost kernel: cx88[1]: hauppauge eeprom: model=90002
Mar 16 12:45:08 localhost kernel: input: cx88 IR (Hauppauge Nova-T DVB-T as
/class/input/input3
Mar 16 12:45:08 localhost kernel: ACPI: PCI Interrupt 0000:00:0d.2[A] -> GSI 16
(level, low) -> IRQ 19
Mar 16 12:45:08 localhost kernel: cx88[1]/2: found at 0000:00:0d.2, rev: 5, irq:
19, latency: 32, mmio: 0xc7000000
Mar 16 12:45:08 localhost kernel: cx88[1]/2: cx2388x based dvb card
Mar 16 12:45:08 localhost kernel: DVB: registering new adapter (cx88[1]).
Mar 16 12:45:08 localhost kernel: DVB: registering frontend 1 (Conexant CX22702
DVB-T)...
Mar 16 12:45:08 localhost kernel: parport: PnPBIOS parport detected.
Mar 16 12:45:08 localhost kernel: parport0: PC-style at 0x378 (0x778), irq 7
[PCSPP,TRISTATE]
Mar 16 12:45:08 localhost kernel: cx2388x v4l2 driver version 0.0.6 loaded
Mar 16 12:45:08 localhost kernel: ACPI: PCI Interrupt 0000:00:0a.0[A] -> GSI 16
(level, low) -> IRQ 19
Mar 16 12:45:08 localhost kernel: cx88[0]/0: found at 0000:00:0a.0, rev: 5, irq:
19, latency: 32, mmio: 0xcb000000
Mar 16 12:45:08 localhost kernel: cx88[0]/0: registered device video0 [v4l2]
Mar 16 12:45:08 localhost kernel: cx88[0]/0: registered device vbi0
Mar 16 12:45:08 localhost kernel: ACPI: PCI Interrupt 0000:00:0d.0[A] -> GSI 16
(level, low) -> IRQ 19
Mar 16 12:45:08 localhost kernel: cx88[1]/0: found at 0000:00:0d.0, rev: 5, irq:
19, latency: 32, mmio: 0xc8000000
Mar 16 12:45:08 localhost kernel: cx88[1]/0: registered device video1 [v4l2]
Mar 16 12:45:08 localhost kernel: cx88[1]/0: registered device vbi1

On a separate matter is there some value in bugzilla CC'ing the newly created
fedora-kernel mailing list when bugs are lodged against it or will that turn it
into an electronic snowstorm?

Regards
Chris
Comment 2 Chuck Ebbert 2007-03-22 10:45:12 EDT
(In reply to comment #1)
> 
> On a separate matter is there some value in bugzilla CC'ing the newly created
> fedora-kernel mailing list when bugs are lodged against it or will that turn it
> into an electronic snowstorm?

Join the list and start the discussion. ;)
Comment 3 Jarod Wilson 2007-03-23 09:40:06 EDT
This is already fixed in upstream v4l-dvb mercurial. Verified by me w/a pcHDTV
HD-3000 two days ago, using a 20070302 cut of the cx8802/cx88-dvb drivers
(video4linux-kmdl package from atrpms.net, actually).
Comment 4 Jarod Wilson 2007-03-23 12:03:00 EDT
Okay, I've been talking to one of the v4l-dvb maintainers, Michael Krufky, and I
believe I have a patch together to resolve this. Will test locally, then hand it
off to Chuck for inclusion in our next kernel build...
Comment 5 Jarod Wilson 2007-03-23 16:59:38 EDT
Okay, this patch...

http://people.redhat.com/jwilson/misc/dvb-updates/linux-2.6-cx88-dvb-autoload.patch

...fixed the auto-load issue with my own pcHDTV HD-3000 card. Patch is based on
three upstream v4l-dvb changesets, and has an additional ack from Michael Krufky.

The same directory also carries these two patches...

http://people.redhat.com/jwilson/misc/dvb-updates/linux-2.6-dvb-bt8xx-autoload.patch
http://people.redhat.com/jwilson/misc/dvb-updates/linux-2.6-nxt200x-buffer.patch

...as well as some i686 kernels carrying all three patches. Michael highly
recommends also picking up the nxt200x patch. The dvb-bt8xx patch is still in
need of a bit of testing to make sure it does the right thing.
Comment 6 Jarod Wilson 2007-03-24 14:22:39 EDT
Okay, the dvb-bt8xx autoload patch looks like its good to go. It Does the Right Thing with a pcHDTV 
HD-2000, and has been sent upstream.

dmesg dump from driver load:
http://people.redhat.com/jwilson/misc/dvb-updates/dvb-bt8xx-autoload-results.txt
Comment 7 Need Real Name 2007-03-25 00:42:04 EDT
I have the same problem with my pcHDTV-5500.

I can solve it manually by doing: modprobe cx880-dvb

What changed between kernels 2.6.19 and 2.6.20 that stopped autoloading of this
kernel?

I am REALLY getting annoyed with the quality-checking between 2.6.19 and 2.6.20
-- there seem to be SO MANY, MANY REGRESSIONS.... Does anyone test these things
before releasing them???? So far, I have had problems with sata, sound, mouse,
hdtv -- and this is all on a mainstream ASUS board that has otherwise been
stable for years....
Comment 8 Chuck Ebbert 2007-03-25 18:46:55 EDT
*** Bug 233883 has been marked as a duplicate of this bug. ***
Comment 9 Martin West 2007-03-25 19:15:00 EDT
Ive always worked on the principle with free opensource stuff that the
developers usually do their best to produce quality stuff and in the case of
fedora you know you are the bleading edge and its users are part of the test team.
Comment 10 Jarod Wilson 2007-03-25 19:25:48 EDT
(In reply to comment #7)
> I have the same problem with my pcHDTV-5500.
> 
> I can solve it manually by doing: modprobe cx880-dvb
> 
> What changed between kernels 2.6.19 and 2.6.20 that stopped autoloading of this
> kernel?

Support for a new capture card that requires both the cx88-dvb and cx88-blackbird modules threw a 
wrench into cx8802 auto-loading required additional modules. Its since been fixed in upstream v4l-
dvb, and a backport of the needed patches is referenced in comment #5.

> I am REALLY getting annoyed with the quality-checking between 2.6.19 and 2.6.20
> -- there seem to be SO MANY, MANY REGRESSIONS.... Does anyone test these things
> before releasing them???? So far, I have had problems with sata, sound, mouse,
> hdtv -- and this is all on a mainstream ASUS board that has otherwise been
> stable for years....

We try our best to test things inside Red Hat before we release them, but we obviously don't have every 
single piece of hardware at our disposal to test on, nor would it be feasible to do so if we did. If you 
want that level of QA assurance, you're better off with something like Red Hat Enterprise Linux. Like 
Martin says in comment #9, in the Fedora world, users are essentially part of the test team. We do our 
best to put out a quality product, but sometimes things break. However, we also try our best to be 
responsive about fixing things. You're always welcome to roll back to an earlier kernel. This particular 
problem ought to be fixed shortly, since we have a tested fix available now.
Comment 11 Martin West 2007-03-26 04:55:12 EDT
Just tried the lastest kernel update 2.6.20-1.2933.fc6 and still the same result.

An observation: The kernel install removes the kernel version - 2 which has now
removed the working kernel I had. Perhaps you could add prompt as to whether to
remove a kernel or make it kernel - 4 to give a larger window.
Comment 12 Christopher Brown 2007-03-26 04:58:41 EDT
(In reply to comment #11)
> Just tried the lastest kernel update 2.6.20-1.2933.fc6 and still the same result.
> 
> An observation: The kernel install removes the kernel version - 2 which has now
> removed the working kernel I had. Perhaps you could add prompt as to whether to
> remove a kernel or make it kernel - 4 to give a larger window.

This is modified using the installonlyn plugin for yum which you can modify in
/etc/yum/pluginconf.d/installonlyn.conf

However if you were booted into your "good" kernel then it should remove the
newer "broken" kernel.

Regards
Chris
Comment 13 Jarod Wilson 2007-03-26 09:17:48 EDT
(In reply to comment #11)
> Just tried the lastest kernel update 2.6.20-1.2933.fc6 and still the same result.

That's expected. A kernel with the cx88-dvb fix hasn't yet been pushed out the door.
Comment 14 Chuck Ebbert 2007-03-26 10:35:01 EDT
Test kernels for this issue are at:

http://people.redhat.com/cebbert

Please test and report back.
Comment 15 Martin West 2007-03-26 15:09:19 EDT
Working again, Thanks
Comment 16 Joseph Shraibman 2007-04-02 00:51:16 EDT
Test kernel works for me as well. Thank you.

Note You need to log in before you can comment on or make changes to this bug.